View Issue Details

IDProjectCategoryView StatusLast Update
12387Development Survey takingpublic2017-05-18 14:36
ReportertpartnerAssigned Touser14106 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.x 
Target Version3.xFixed in Version 
Summary12387: Unecessary rendering of .answer-container element in text-display questions
DescriptionIn my opinion, this should be hidden in text-display questions - see attached screenshot.
TagsNo tags attached.

Activities

tpartner

tpartner

2017-05-11 14:48

developer  

capture-9.png (16,199 bytes)
capture-9.png (16,199 bytes)

user14106

2017-05-17 19:36

  ~43630

https://github.com/LimeSurvey/LimeSurvey/pull/698
tpartner

tpartner

2017-05-17 20:10

developer   ~43631

I would have thought this should be fixed server-side, not hidden via JS.

In fact it could be better hidden via CSS (see below) but I don't think the answer element should be rendered at all.

.boilerplate .answer-container {
    display: none;
}
DenisChenu

DenisChenu

2017-05-17 20:19

developer   ~43632

About rendering : see comment on view. EM (maybe) use it.
ShnoulleT

ShnoulleT

2017-05-18 13:57

reporter   ~43649

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=22819

Related Changesets

LimeSurvey: develop 0f633e5d

2017-05-18 13:57:51

user14106


Committer: ShnoulleT Details Diff
Fixed issue 12387: Unecessary rendering of .answer-container element in text-display questions
mod - assets/packages/template-default/template-core.css Diff File
mod - templates/default/css/template.css Diff File

Issue History

Date Modified Username Field Change
2017-05-11 14:48 tpartner New Issue
2017-05-11 14:48 tpartner File Added: capture-9.png
2017-05-17 19:35 user14106 Assigned To => user14106
2017-05-17 19:35 user14106 Status new => assigned
2017-05-17 19:36 user14106 Note Added: 43630
2017-05-17 19:37 user14106 Status assigned => resolved
2017-05-17 19:37 user14106 Resolution open => fixed
2017-05-17 20:10 tpartner Status resolved => feedback
2017-05-17 20:10 tpartner Resolution fixed => reopened
2017-05-17 20:10 tpartner Note Added: 43631
2017-05-17 20:19 DenisChenu Note Added: 43632
2017-05-18 13:57 ShnoulleT Changeset attached => LimeSurvey develop 0f633e5d
2017-05-18 13:57 ShnoulleT Note Added: 43649
2017-05-18 13:57 ShnoulleT Assigned To user14106 => ShnoulleT
2017-05-18 14:36 DenisChenu Assigned To ShnoulleT => user14106
2017-05-18 14:36 DenisChenu Status feedback => resolved
2017-05-18 14:36 DenisChenu Resolution reopened => fixed